All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.measures
Class Length

    com.sas.measures.Length

All Implemented Interfaces:
  com.sas.measures.MeasureInterface, com.sas.PublicClonable, java.io.Serializable, java.lang.Cloneable

    public class Length

`Length` is a non-negative `Distance`. `Length` supports the same units of measure as `Distance`.

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `RB_KEY`

Fields inherited from class com.sas.measures.BaseDistance
`DEVICE_UNITS, FIXED_UNITS, FONT_UNITS, unitIndex`

Fields inherited from class com.sas.measures.Measure
`DISPLAY_FORMAT_NOSPACE_BETWEEN_MAGNITUDE_AND_UNIT, DISPLAY_FORMAT_SPACE_BETWEEN_MAGNITUDE_AND_UNIT, displayFormat, locale, magnitude`

Constructor Summary
`Length(double magnitude, java.lang.String unit)` Construct a `Length` object with the specified magnitude and unit.
`Length(java.lang.String text)` Constructs a Length object with the specified values.

Method Summary

Methods inherited from class com.sas.measures.Distance
`makeUnitsAssociationList, makeUnitsList`

Methods inherited from class com.sas.measures.BaseDistance
`getMagnitude, getMagnitude, getUnit, getUnitName, getUnitType, initializeUnit, makeUnitsJavaList, makeUnitsMap, validateUnit`

Methods inherited from class com.sas.measures.Measure
`_init, clone, equals, equals, getMagnitude, hashCode, toString`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

Constructor Detail

### Length

    public Length(double magnitude,
                  java.lang.String unit)

  Construct a `Length` object with the specified magnitude and unit. The magnitude for a `Length` must be a non-negative value.

  Parameters:
    `magnitude` - the magnitude for the new `Length` object
    `unit` - the unit of the new `Length` object
  Throws:
    `java.lang.IllegalArgumentException` - if the magnitude is a negative value or if the unit value is not supported

### Length

    public Length(java.lang.String text)

  Constructs a Length object with the specified values. The magnitude for a Length must be a non-negative value.

  Parameters:
    `text` - String object containing the magnitude and unit
  Throws:
    `java.lang.IllegalArgumentException` - if the magnitude is a negative value or if the unit value is not supported

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.